#ifndef usart_h_included
#define usart_h_included

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void printsimple(USART_TypeDef* USARTx, char *t);
extern void print(USART_TypeDef* USARTx, char *t);
extern void printn(USART_TypeDef* USARTx, const char *t, int len);
extern ssize_t _write(int fd, const void *buf, size_t count);
extern ssize_t _read(int fd, const void *buf, size_t count);
extern void scan(USART_TypeDef* USARTx, char *string);
extern void usart2_init(uint32_t baud);
extern volatile char inuart2[];
extern volatile uint8_t inuart2len, inuart2line;

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
